default_output_format {rmarkdown} | R Documentation

## Determine the default output format for an R Markdown document

### Description

Read the YAML metadata (and any common _output.yml file) for the document and return the output format that will be generated by a call to `render`.

### Usage

    default_output_format(input, encoding = getOption("encoding"))

### Arguments

`input` | Input file (Rmd or plain markdown)
`encoding` | The encoding of the input file; see `file`

### Details

This function is useful for front-end tools that require additional knowledge of the output to be produced by `render` (e.g. to customize the preview experience).

### Value

A named list with a `name` value containing the format name and an `options` value that is a list containing all the options for the format and their values. An option's default value will be returned if the option isn't set explicitly in the document.

[Package rmarkdown version 1.2 Index]